Update a guest form

This API helps you to update the details of a V2 guest form for the specified guest. You must specify the unique identifier of the guest as guest_id in the API request.Note: Retrieving uploaded files, signatures and annoations are not supported.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Model

Json PropertyData TypeDescription
datastringForm data content (serialized form data).
form_idGuidUnique identifier of the form.
is_required_filledboolIndicates whether all required fields are filled.
is_reviewedboolIndicates whether the form has been reviewed.
guest_datastringGuest-specific data (serialized format).
is_form_submittedboolFlag to identify whether the form is submitted.
image_jsonstringJSON string containing image-related data.
tag_idGuidUnique identifier for the associated tag.
sourcestringSource of submission (e.g., web, iOS).
is_new_formbool?Indicates whether the form was newly created (nullable).

Response Model

Json PropertyData TypeDescription
successboolIndicates whether the request was processed successfully.
Path Params
string
required

Mandatory Unique 32-character identifier of the guest.

Body Params
string

Unique identifier of the form.

boolean

Denotes if the required fields are filled or not. True - means the required fields are filled. False - means the required fields are not filled.

string

Denotes if the form is reviewed. True - means the form is reviewed. False - means the form is not reviewed.

string

Denotes if the form is submitted or not. True - means the form is submitted. False - means the form is not submitted.

string

Unique identifier of the tag in the form.

string

Source where the form is saved.

Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json